Subject: Proposed IESG statement on referencing documents behind a paywall

From: Suresh Krishnan <[email-masked]>
Date: Wed, 12 Jun 2019 18:00:17 -0400

Hi chairs,
  In the past we have dealt with a few drafts that have had normative references to paywalled documents and we have dealt with them on a case-by-case basis (usually during or after IETF last call). In order to get the working groups involved earlier in the process, the IESG is working on issuing a statement on how to deal with such drafts and we would greatly appreciate input from WG chairs on this topic. This is the proposed text of the statement

*** START TEXT ***

As described in Section 7.1 of RFC 2026, RFCs may have normative 
references on external standards.

In some cases, however, those references are themselves not generally
available (for instance, they might be accessible only after paying
a fee). This can interfere both with the ability of implementers
to implement the protocol as well as with the ability of the IETF
community to review it.

In such cases:

1. The WG MUST be explicitly informed of any such normative reference
 and the WG MUST reach consensus that it is acceptable. The 
 document shepherd MUST include this information in the shepherd 
 writeup.

2. The reference MUST be explicitly noted as part of the IETF Last
 Call. If such a note is omitted, the last call MUST be repeated
 after including it.

*** END TEXT ***

Please go over this text and let me know if you have any concerns, comments, or additions by 2019/06/26. 

Thanks
Suresh

---

From: Fred Baker <[email-masked]>
Date: Wed, 12 Jun 2019 15:06:35 -0700

To my way of thinking, it works.

It gives us a way to say "this really does have to be discussed" without outlawing it.

> On Jun 12, 2019, at 3:00 PM, Suresh Krishnan <[email-masked]> wrote:
> 
> Hi chairs,

--------------------------------------------------------------------------------
Victorious warriors win first and then go to war,
Defeated warriors go to war first and then seek to win.
     Sun Tzu

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 12 Jun 2019 23:14:04 +0100

> Please go over this text and let me know if you have any concerns, comments, or additions by 2019/06/26. 

I like it.

I'm not sure how it could be checked/enforced though other
than manually, but that's probably ok even if it means we
miss a baddun now and then.

Cheers,
S.

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Jun 2019 00:31:45 +0200

Thanks Suresh

1) Is there a specific event or events tha ha let to picking up this
topic now ? Just curious, because i thought we have lived with this
situation for a long time unchanged. E.g.: has IEEE raised its prices (which i
would know because of my companies subscription...) ?

2) Associated ask:

I would like IETF if we can have a process by which IEEE
documents that are references to IETF document can be made
available FOR FREE to the reviewers of those drafts during the draft->RFC process.
Aka: Some form of IEEE membership account for IETF WG chairs, simple
email statement from reviewer back to chair to not disseminate the
document, and then chairs could pass on those documents as requested by
reviewers.

Note that i would love to see this not only for normative but also
informative IEEE references to help reviewers.

I know this does not scale to arbitrary SDOs, but IEEE seems to be the
most important one, and i think this should work for IEEE, and i can't
see how this would run the risk of being massively abused if we have WG chairs in
control of access.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 12 Jun 2019 18:38:44 -0400

IMO it would be better if the citation explicitly indicated that this 
document has a pay wall or limited access.

	Thanks,
	Paul

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 12 Jun 2019 23:22:08 +0000

+1 ... something in the reference itself should indicate that the document (at time of writing) has restricted access.

That would also help all those involved and put less requirements on shepherds to confirm if all external references are publicly available (that might require disconnecting from a corporate vpn or not being on a corporate net to determine).

- Bernie

> On Jun 12, 2019, at 6:39 PM, Paul Kyzivat <[email-masked]> wrote:
> 
> IMO it would be better if the citation explicitly indicated that this document has a pay wall or limited access.
> 
>    Thanks,
>    Paul
>

---

From: <[email-masked]>
Date: Thu, 13 Jun 2019 07:49:03 +0800

Even though it should be obvious, but should we add a line to the text along
this: 

"All references SHOULD be generally available." 

Or  "All references SHOULD NOT be restricted to certain groups (for
instance, subscribers or limited groups only be accessible after paying a
fee). "

Best regards, Tobias

-----Original Message-----
From: WGChairs <[email-masked]> On Behalf Of Suresh Krishnan
Sent: Thursday, June 13, 2019 6:00 AM
To: [email-masked]
Subject: Proposed IESG statement on referencing documents behind a paywall

Hi chairs,
  In the past we have dealt with a few drafts that have had normative
references to paywalled documents and we have dealt with them on a
case-by-case basis (usually during or after IETF last call). In order to get
the working groups involved earlier in the process, the IESG is working on
issuing a statement on how to deal with such drafts and we would greatly
appreciate input from WG chairs on this topic. This is the proposed text of
the statement

*** START TEXT ***

As described in Section 7.1 of RFC 2026, RFCs may have normative references
on external standards.

In some cases, however, those references are themselves not generally
available (for instance, they might be accessible only after paying a fee).
This can interfere both with the ability of implementers to implement the
protocol as well as with the ability of the IETF community to review it.

In such cases:

1. The WG MUST be explicitly informed of any such normative reference  and
the WG MUST reach consensus that it is acceptable. The  document shepherd
MUST include this information in the shepherd  writeup.

2. The reference MUST be explicitly noted as part of the IETF Last  Call. If
such a note is omitted, the last call MUST be repeated  after including it.

*** END TEXT ***

Please go over this text and let me know if you have any concerns, comments,
or additions by 2019/06/26. 

Thanks
Suresh

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 13 Jun 2019 01:15:30 +0000

Would this affect the IANA registries?  I think those should also be called out explicitly.

For example, people want to add TLS extensions that reference paywall standards or, more complicated, non-English (paywall or not).

---

From: Michael Richardson <[email-masked]>
Date: Wed, 12 Jun 2019 21:17:28 -0400

Suresh Krishnan <[email-masked]> wrote:
    > case-by-case basis (usually during or after IETF last call). In order
    > to get the working groups involved earlier in the process, the IESG is
    > working on issuing a statement on how to deal with such drafts and we
    > would greatly appreciate input from WG chairs on this topic. This is
    > the proposed text of the statement

Thank you for taking this on.
I hope that this means that the open-stand.org effort will also get rebooted,
although I recognize that's more an ISOC/LLC thing.

    > document shepherd MUST include this information in the shepherd

I find this acceptable first step of the process.

I'm not sure what the WG should do when I say
  "Please take this work out of the IETF if I can't implement
   or validate an implementation without document FOO"

And, btw, I don't consider a non-paywall with some https://tosdr.org/
click through.  I want a URL for the document. When I click on it, I get the
document.  When I put a #foobar on the URL, I can reference a section of it,
and when I copy and paste from it into an email, I'm not violating their
copyright.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Jun 2019 03:25:37 +0200

> and when I copy and paste from it into an email, I'm not violating their

Maybe use a new, more specific term than just "open".
Free-to-distribute for example, like RFCs.

Cheers
    Toerless

---

From: "Deen, Glenn (NBCUniversal)" <[email-masked]>
Date: Thu, 13 Jun 2019 01:50:31 +0000

Hi Suresh 

First,  This is a very rational way to deal with the issue. 

However, and I do hate to raise this, but some SDOs are now not only paywall restricting but restricting due to geo-political issues, do we need to also flag and warn about cited references that are blocked from regional or even organizational access?

For a practical example. CTA has blocked access to Huawei due to the BIS directive. 

In such a case the citation may not be avoidable, but it would seem appropriate to mark the reference as restricted from open world wide access. 

-glenn 

> On Jun 12, 2019, at 6:00 PM, Suresh Krishnan <[email-masked]> wrote:
> 
> Hi chairs,
> _______________________________________________
> BOFChairs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bofchairs

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Jun 2019 05:29:50 +0200

> For a practical example. CTA has blocked access to Huawei due to the BIS directive. 

Any URL for this? With quick googling, i could only find this recent URL about CTA&Huawei:

https://news.yahoo.com/trump-bashing-gets-physical-china-tech-show-113529784.html

AFAIK: If CTA specs are supposed to be published information according to BIS EAR 734.7 
then there is no need for CTA to apply BIS EAR entity list restrictions on their
sales/dissemination.

IMHO: Either CTA can not read and understand BIS EAR regulations, wants to feel
safer through compliance overeagerness or their specs are really not
open specs the way i thought rfc2026 means "open standards".

In general i would be very careful though to judge standard bodies and
their specs because of restriction from governements under which they
operate, or because of misguided self-imposed restrictions in fear of
selective prosection by said governemnts. We all may wake up one day
with our government inventing new arbitrary regulations. Some of us are
just learning this lesson now.

Cheers
    Toerless

Btw: IEEE had a funny reaction to the US BIS EAR ruling on Huawei:
They announced to continue to sell their standards to Huawei people, but they
prohibit the sales of other items from their merchandise store to them
- like caps and t-shirt. Huawei must be devastated. Obviously shirts & caps
are not subject to BIS EAR export restrictions either. I still would like to
figure out if this was also just lame compliance overeagerness or
whether somebody at IEEE actually has a good sense of humor.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 12 Jun 2019 23:45:26 -0400

Hi Toerless,

> On Jun 12, 2019, at 6:31 PM, Toerless Eckert <[email-masked]> wrote:
> 
> Thanks Suresh
> 

Yes. This is a result of a document going through the IETF process. The document in question is the draft that became RFC8575. It referred to the IEEE1588 spec that described some of the parameters being used in the yang module. 

> see how this would run the risk of being massively abused if we have WG chairs in

Yes. This would be great, and we have managed to get free access to most (but not all) of the IEEE specs when needed. Also, we have different kind of relationships with different IEEE groups. e.g. we have had a very close relationship with IEEE 802 over the years and the published standards are mostly available for free. For the document mentioned above, we did make arrangements to make the document available for anyone who wanted to review. I started a second IETF Last call with the following message appended

"If you would like to review this document and
would like a copy of the [IEEE1588] reference specification, please send a
note to the Responsible AD <[email-masked]> and the tictoc working
group chairs <[email-masked]> and we will provide you a copy of 
the document."

Thanks
Suresh

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 12 Jun 2019 23:47:14 -0400

Hi Bernie and Paul,
  Good point. I need to check with the RFC editor on this one as they are the ones that define the citation formats.

Thanks
Suresh

> On Jun 12, 2019, at 7:22 PM, Bernie Volz (volz) <[email-masked]> wrote:
>

---

From: "Deen, Glenn (NBCUniversal)" <[email-masked]>
Date: Thu, 13 Jun 2019 09:26:42 +0000

Hi 

> On Jun 12, 2019, at 11:30 PM, Toerless Eckert <[email-masked]> wrote:
> 
> Any URL for this? ....

I hesitated even citing anything around the current directive because that situation is fluid and is best left to the lawyers for the different orgs to interpret and each org’s leaders to decide on the correct action for their situation.  It was not my intent to get into compliance discussions. My apology for citing it, I had thought it may move the use case I was trying to suggest from abstract theory and something that maybe needed to dealt with sooner.

A better version of my comment is:  There is an additional use case of  “pay wall with additional restrictions” that is beyond just “pay wall”.  It would apply when the cited standard was behind a membership access wall and the terms of membership has restrictions.

-Glenn

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 13 Jun 2019 11:01:17 +0100

Whilst this works, I am not sure why it is needed.

We have not needed this process in the last 30 years, why do we need it now?

- Stewart

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 13 Jun 2019 11:49:36 +0100

Please remember that there are many independent IEEE groups and IEEE1588
is part of the Test and Measurement group not 802.

WRT to IEEE1588v2, we negotiated its release to the IETFfor use in
IETF work, from before the time it was published. We did this when I was 
a chair of TICTOC. It has therefore been available on request for this 
purpose for its entire lifetime. I have not been asked for a copy for 
many years. Did we simply forget that we had access to this material?

- Stewart

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Jun 2019 15:09:19 +0200

> group chairs <[email-masked]> and we will provide you a copy of 

Maybe the easiest way would be to find someone friendly at IEEE to sponsor a
corporate account at IEEE or the like to enable this.

Cheers
    Toerless

---

From: Karen O'Donoghue <[email-masked]>
Date: Thu, 13 Jun 2019 13:49:40 +0000

> On Jun 13, 2019, at 6:49 AM, Stewart Bryant <[email-masked]> wrote:
> 
> IETF work, from before the time it was published. We did this when I was a chair of TICTOC. It has therefore been available on request for this purpose for its entire lifetime. I have not been asked for a copy for many years. Did we simply forget that we had access to this material?

Hi Stewart…

No… we didn’t “simply forget that we had access to this material…”

Yes… the IEEE 1588 working group and the TICTOC working group worked closely on some documents, and we had access to the underlying 1588 documents as needed. The issue arose when we sent the resulting document to the IESG and out for broader review to the IETF community. We were not clear in that step of the process about how to get access all the documents needed to do a review. 

The policy that Suresh (the IESG) has put forward deals very effectively with that situation and is very manageable for doing the necessary work. As someone who has wrestled with this issue, it makes sense to me. As you know, IEEE 1588 is a very small group, and it does not fall under the umbrella of IEEE 802. The proposed policy is a pragmatic answer to the situation. 

Karen

---

From: Michael Richardson <[email-masked]>
Date: Thu, 13 Jun 2019 10:21:46 -0400

Deen, Glenn (NBCUniversal) <[email-masked]> wrote:
    > However, and I do hate to raise this, but some SDOs are now not only
    > paywall restricting but restricting due to geo-political issues, do we
    > need to also flag and warn about cited references that are blocked from
    > regional or even organizational access?

    > For a practical example. CTA has blocked access to Huawei due to the

This is a result, as far as I understand, of their publication being
restricted.  If it were open and free available, they wouldn't have to block.

Maybe we shouldn't cite them.  maybe they have made themselves irrelevant.

---

From: Michael Richardson <[email-masked]>
Date: Thu, 13 Jun 2019 10:24:43 -0400

> corporate account at IEEE or the like to enable this.

And how does having this support permission-less innovation?

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 13 Jun 2019 10:33:04 -0400

Michael,

That's certainly a valid opinion. Whether or not that becomes the WG
consensus is up to the WG as a whole. The usual next step, if the WG
agrees, would either to try to find an alternative solution that doesn't
require document FOO or to just abandon the work as a WG product.

Cheers,
Andy

---

From: Heather Flanagan <[email-masked]>
Date: Thu, 13 Jun 2019 07:35:22 -0700

Hi all,

I think it’s a very good idea to note this kind of information in the reference, and one easily implemented by using the <annotation> field. That would put the paywall warning immediately after the URL in the reference. [1]

In general, I have a strong preference towards open standards, but understand that’s just not possible/practical in all cases. I’m sure the IETF will sort out how to at least get free access for IETF authors, editors, and reviewers, during the drafting stage for an I-D, while the RFC Editor can help make it clear where there is a blocker to more general access to a document.

-Heather

[1] Purely as an example; this doc is actually not paywalled:

[BUFFERBLOAT] Gettys, J. And K. Nichols, “Bufferbloat: Dark Buffers in the Internet”, DOI 10.1145/2063166.2071893, ACM Queue, Volume 9, Issue 11, November 2011, <https://queue.acm.org/detail.cfm?id=2071893 <https://queue.acm.org/detail.cfm?id=2071893>>. (At the time of writing, this resource has restricted access.)

> On Jun 12, 2019, at 4:22 PM, Bernie Volz (volz) <[email-masked]> wrote:
>

---

From: Linda Dunbar <[email-masked]>
Date: Thu, 13 Jun 2019 15:07:16 +0000

Support this proposal. 

Linda Dunbar

-----Original Message-----
From: WGChairs <[email-masked]> On Behalf Of Suresh Krishnan
Sent: Wednesday, June 12, 2019 5:00 PM
To: [email-masked]
Subject: Proposed IESG statement on referencing documents behind a paywall

Hi chairs,

*** START TEXT ***

As described in Section 7.1 of RFC 2026, RFCs may have normative references on external standards.

In some cases, however, those references are themselves not generally available (for instance, they might be accessible only after paying a fee). This can interfere both with the ability of implementers to implement the protocol as well as with the ability of the IETF community to review it.

In such cases:

1. The WG MUST be explicitly informed of any such normative reference  and the WG MUST reach consensus that it is acceptable. The  document shepherd MUST include this information in the shepherd  writeup.

2. The reference MUST be explicitly noted as part of the IETF Last  Call. If such a note is omitted, the last call MUST be repeated  after including it.

*** END TEXT ***

Thanks
Suresh

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 13 Jun 2019 16:26:22 +0100

Hi Karen,

I apologies, I see what happened.

However, Suresh's note only partially deals with the situation that 
arose, in that it proposes that we say there is an inaccessible 
reference and stop there.

What happened was, that there was a reference that was fully
available to the WG and could be made available to reviewers. That
is useful information that should be required in the IETF LC.

That would assure casual reviewers that the WG was not only were aware 
of the circumstances of the reference, but that they had full access to 
it to inform their decisions.

In the case of those doing a full technical review this would make them 
aware that they had access to that reference if they felt they needed to 
consult it as part of their review.

- Stewart

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Jun 2019 19:40:56 +0200

While this is all useful and i applaud the effort, it wouldn't
necessarily be on the top of my list of what i would be worried about:

When figuring out whether to depend on a particular external standard,
i am less worried about a possible paywall, but primarily about the
possible patents or license conditions to adopt the standards content.

Already for our own standards it is quite obscure for most people
reading RFCs how to figure out the IPR claims about them. AFAIK
(unless RFC template has changed recently), no mentioning in the
RFC itself.

Aka: I would at least suggest to come up with template text in
drafts and final RFCs that captures these use challenges. Even if
just standard text for how to find our own IPR which would need to
incldue the names of the drafts, individual and then WG etc..).

And then of course considerations for references. Patents, paywalls,
licenses, whatever we know. Obviously suggested ways to express this
that do not incur legal issues and makes it clear the info is best
effort and needs to be validated by the reader.

Cheers
    toerless

On Thu, Jun 13, 2019 at 07:35:22AM -0700, Heather Flanagan wrote:
> Hi all,
> 
> I think it???s a very good idea to note this kind of information in the reference, and one easily implemented by using the <annotation> field. That would put the paywall warning immediately after the URL in the reference. [1]
> 
> In general, I have a strong preference towards open standards, but understand that???s just not possible/practical in all cases. I???m sure the IETF will sort out how to at least get free access for IETF authors, editors, and reviewers, during the drafting stage for an I-D, while the RFC Editor can help make it clear where there is a blocker to more general access to a document.
> 
> -Heather
> 
> [BUFFERBLOAT] Gettys, J. And K. Nichols, ???Bufferbloat: Dark Buffers in the Internet???, DOI 10.1145/2063166.2071893, ACM Queue, Volume 9, Issue 11, November 2011, <https://queue.acm.org/detail.cfm?id=2071893 <https://queue.acm.org/detail.cfm?id=2071893>>. (At the time of writing, this resource has restricted access.)
> 

-- 
---
[email-masked]

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 13 Jun 2019 20:58:11 +0200

> And how does having this support permission-less innovation?

Its actually quite interesting for the context of this discussion to
read and understand BIS EAR 734.7. Not because it defines that
"published" documents are free to be exported to everybody,
but because of how it defines "published".

https://www.ecfr.gov/cgi-bin/retrieveECFR?gp=&SID=4a26f77ee4d04cf3fea9ef8226268f9d&mc=true&n=pt15.2.734&r=PART&ty=HTML#se15.2.734_17

To paraphrase:

| A document is "published" ...  if it has been made available to the public
| without restrictions on its further dissemination.

The reason why documents like the one from IEEEE behind a paywall are
considered published is this point: 

| (dissemination such as through any of the following...)
| (2) Libraries or other public collections that are open and available to
| the public, and from which the public can obtain tangible or intangible
| documents.

I understand how you would rather like to declare external standards to
ONLY be "good" if they match the alternative point:

| (4) Public dissemination (i.e., unlimited distribution) in any form
| (e.g., not necessarily in published form), including posting on the
| Internet on sites available to the public; or

I would also prefer that, but then i think it would be fair to come up
with a working plan for how all those SDOs could finance themselves
without monetizing dissemination of their publications. And
unfortunately its not as if we could really recommend the IETF model to
other SDOs. Its luckily still working for us (hoping), but i can see a lot of
reasons why it wouldn't work for others.

Cheer
    Toerless

---

From: Michael Richardson <[email-masked]>
Date: Thu, 13 Jun 2019 20:11:41 -0400

> possible patents or license conditions to adopt the standards content.

This is why the "fill out this form, agree to this ToS", but the price is
"gratis" is actually a bigger problem than a purchase fee.

It is my understanding that employees of some Fortune500 router vendors are
not permitted to click through such things.

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 14 Jun 2019 00:00:45 -0400

Hi Tobias,
  RFC2026 Section 7 has quite a bit of text on incorporating external standards and specifications and we are not trying to modify that. Section 7.1.2. in particular has the following text that is related (but exactly) to the point you are making.

   The IESG generally should not favor a particular proprietary
   specification over technically equivalent and competing
   specification(s) by making any incorporated vendor specification
   "required" or "recommended".

Thanks
Suresh

> On Jun 12, 2019, at 7:49 PM, [email-masked] wrote:
>

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 14 Jun 2019 00:22:44 -0400

Hi Rich,

> On Jun 12, 2019, at 9:15 PM, Salz, Rich <[email-masked]> wrote:
> 

> For example, people want to add TLS extensions that reference paywall standards or, more complicated, non-English (paywall or not). 

Can you clarify? Is this about drafts creating IANA registries? I would think that the registration policy would be the right place to handle this.

Thanks
Suresh

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 14 Jun 2019 00:32:45 -0400

Hi Michael,

> On Jun 12, 2019, at 9:17 PM, Michael Richardson <[email-masked]> wrote:
> 
> 
>   or validate an implementation without document FOO”

I would think it will be up to the chairs to check for consensus to see how to proceed. I have seen some ipr declarations destroy drafts and some that barely register an impact. I would think this will end up the same way depending on how the WG feels about the reference.

> and when I copy and paste from it into an email, I'm not violating their

I get your point but I have also seen people who hold the exact opposite viewpoint where financial considerations were more important to them. RFC2026 is pretty liberal about what it considers open standards (Section 7) and we are not trying to redefine it here.

Thanks
Suresh

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 14 Jun 2019 00:40:20 -0400

Hi Glenn,

> On Jun 12, 2019, at 9:50 PM, Deen, Glenn (NBCUniversal) <[email-masked]> wrote:
> 
> Hi Suresh 
> 

Good point. I think we can address these by including some explanatory text in the Shepherd writeup to describe some of the classes of restrictions we know about. Another issue here is that these restrictions can change over time (in either direction) and there is not much we can do about it.

Thanks
Suresh

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 14 Jun 2019 00:46:42 -0400

Hi Stewart,

> On Jun 13, 2019, at 6:01 AM, Stewart Bryant <[email-masked]> wrote:
> 

As I said in my mail to Toerless, we needed to handle this exact case for a recent document. We had to improvise a process on how to handle the document in question including a second last call and double checking with the WG. So would you prefer to not have this process written down?

Thanks
Suresh

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 14 Jun 2019 00:56:32 -0400

Hi Stewart,

> On Jun 13, 2019, at 11:26 AM, Stewart Bryant <[email-masked]> wrote:
> 
> Hi Karen,
> 
> However, Suresh's note only partially deals with the situation that arose, in that it proposes that we say there is an inaccessible reference and stop there.

It does not propose to stop there, but recognizes that there is a possibility that we may not always get access to the document in question, and the WG should carefully consider sending such documents over.

> is useful information that should be required in the IETF LC.

In my note to Toerless (https://mailarchive.ietf.org/arch/msg/wgchairs/zqBaS8FUeVVRr28fucvoBOIOb-I <https://mailarchive.ietf.org/arch/msg/wgchairs/zqBaS8FUeVVRr28fucvoBOIOb-I>) I mentioned that I did make this information available in the IETF Last Call text

"If you would like to review this document and
would like a copy of the [IEEE1588] reference specification, please send a
note to the Responsible AD <[email-masked]> and the tictoc working
group chairs <[email-masked]>and we will provide you a copy of 
the document.”

If you would like some additional clarifying text in the statement, please make a proposal and I will gladly incorporate it.

Thanks
Suresh

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 14 Jun 2019 12:12:30 +0100

>   Call. If such a note is omitted, the last call MUST be repeated

3. Where the reference has been made available to the WG for the
purposes of their work, this fact, together with details of how
reviewers can gain access to the reference for the purposes of their
review MUST also be provided as part of IETF Last Call.

- Stewart

---

From: "Salz, Rich" <[email-masked]>
Date: Fri, 14 Jun 2019 11:51:54 +0000

>    Can you clarify? Is this about drafts creating IANA registries? I would think that the registration policy would be the right place to handle this.

Yes that makes sense.  But perhaps the IESG statement should tell WG members to address this issue in drafts that create registries.

---

From: "Black, David" <[email-masked]>
Date: Mon, 17 Jun 2019 18:17:44 +0000

+1 - I vaguely recall doing something similar to what Suresh did on IEEE 1588 for some storage standards needed by iSCSI, FCIP and the like back when I was a chair of the IP Storage working group.

This paywall reference situation seems somewhat analogous to downrefs, and hence the proposed measures strike me as reasonable.

Thanks, --David

> From: WGChairs <[email-masked]> On Behalf Of Stewart Bryant
> Sent: Friday, June 14, 2019 7:13 AM
> To: Suresh Krishnan; [email-masked]
> Subject: Re: Proposed IESG statement on referencing documents behind a
> paywall
> 
> 
> [EXTERNAL EMAIL]
> 
> 
>

---

From: Sean Turner <[email-masked]>
Date: Tue, 18 Jun 2019 08:19:37 -0400

Just thinking down the road a bit … If more than one draft refers to the same document that is behind the paywall does the LC need to include the text again or can we do something like create a PAYWALLREF registry?

spt

> On Jun 12, 2019, at 18:00, Suresh Krishnan <[email-masked]> wrote:
> 
> Hi chairs,

---

From: Heather Flanagan <[email-masked]>
Date: Tue, 18 Jun 2019 15:29:47 +0300

Hi Sean,

Unless the tools are created to automatically check the references against this registry so the RFC Editor can automatically add the annotation to the reference, I would rather not have a registry that requires readers to either get unexpected blocked when trying to access the article or require them to go check a registry to see if access is expected to be denied. I’m not sure if that’s what you’re thinking wrt a registry?

-Heather

> On Jun 18, 2019, at 3:19 PM, Sean Turner <[email-masked]> wrote:
>

---

From: Sean Turner <[email-masked]>
Date: Tue, 18 Jun 2019 13:37:39 -0400

Hi Heather,

I was thinking about something along the lines of the DOWNREF registry the IESG uses now:
https://datatracker.ietf.org/doc/downref/

spt

> On Jun 18, 2019, at 08:29, Heather Flanagan <[email-masked]> wrote:
> 
> Hi Sean,
>

---

From: Keith Drage <[email-masked]>
Date: Sun, 30 Jun 2019 22:50:56 +0100

Coming late to this discussion.

The discussion seems to have diverged into all sorts of different 
issues, and I do not believe we ever had a problem statement at the 
start of the thread.

FIrstly the term "generally available" has a meaning throughout all the 
standards communities, and I do not think IETF shoud come up with a 
different meaning. That meaning is that it available to all and sundry - 
not that it is available for free to all and sundry.

I do agree for the purpose of review of IETF documents, reviewers should 
be able to feel they have access to referenced documents in order to do 
that review. I believe that has been dealt with successfully in the past 
by local agreements with various standards organisations and posting on 
IETF sites. Obviously anyone involved in the review process should be 
made aware of such a local arrangement.

As I say, that can be a local arrangement. It does not need to turn into 
a full out attack on an SDO's chosen revenue mechanism. Not even IETF 
documents are free - people donate money and you pay by your 
participation fees in IETF. And I have to pay for my internet connection 
to get to them. Other SDO's have chosen other means of paying their 
overheads.

Further I would point out that the content of normative references make 
normative references to other documents, and so on. I see nothing in the 
discussion that has addressed that point.

Keith

---

From: "Roni Even (A)" <[email-masked]>
Date: Mon, 1 Jul 2019 05:16:31 +0000

Hi,
Sorry for the late feedback

I want to point out that some of this references may refer to SDO's documents that are available to members only. This is a bigger problem for accessing.  Note that now some persons/companies may not be able to become members of such SDO so they cannot even pay to get access,
I have no solution but I do not think that it should prevent such references but it must be noted that these references are available only to members.

Roni Even

-----Original Message-----
From: WGChairs [mailto:[email-masked]] On Behalf Of Keith Drage
Sent: Monday, July 01, 2019 12:51 AM
To: [email-masked]
Subject: Re: Proposed IESG statement on referencing documents behind a paywall

The discussion seems to have diverged into all sorts of different issues, and I do not believe we ever had a problem statement at the start of the thread.

FIrstly the term "generally available" has a meaning throughout all the standards communities, and I do not think IETF shoud come up with a different meaning. That meaning is that it available to all and sundry - not that it is available for free to all and sundry.

I do agree for the purpose of review of IETF documents, reviewers should be able to feel they have access to referenced documents in order to do that review. I believe that has been dealt with successfully in the past by local agreements with various standards organisations and posting on IETF sites. Obviously anyone involved in the review process should be made aware of such a local arrangement.

As I say, that can be a local arrangement. It does not need to turn into a full out attack on an SDO's chosen revenue mechanism. Not even IETF documents are free - people donate money and you pay by your participation fees in IETF. And I have to pay for my internet connection to get to them. Other SDO's have chosen other means of paying their overheads.

Further I would point out that the content of normative references make normative references to other documents, and so on. I see nothing in the discussion that has addressed that point.

Keith